Package org.silverpeas.components.community.model

## Class CommunityOfUsersRemovingListener

- java.lang.Object
- - org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.admin.component.notification.ComponentInstanceEvent>
  - - org.silverpeas.components.community.model.CommunityOfUsersRemovingListener

- All Implemented Interfaces:
    `org.silverpeas.core.notification.system.ResourceEventListener<org.silverpeas.core.admin.component.notification.ComponentInstanceEvent>`

      @Technical
      @Bean
      public class CommunityOfUsersRemovingListener
      extends org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.admin.component.notification.ComponentInstanceEvent>

  The community of users application is removed, that is to say it is moved into the bin of the spaces and component instances. In a such situation, the group of members of this community should be also removed (id est moved into the bin of user groups)
  Author:
    mmoquillon

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommunityOfUsersRemovingListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onRecovery​(org.silverpeas.core.admin.component.notification.ComponentInstanceEvent event)` |
    `void` | `onRemoving​(org.silverpeas.core.admin.component.notification.ComponentInstanceEvent event)` |

    - ### Methods inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

      `onEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.notification.system.ResourceEventListener

      `dispatchEvent, isEnabled, onCreation, onDeletion, onMove, onUnlock, onUpdate`

- - ### Constructor Detail

    - #### CommunityOfUsersRemovingListener

          public CommunityOfUsersRemovingListener()

  - ### Method Detail

    - #### onRemoving

          public void onRemoving​(org.silverpeas.core.admin.component.notification.ComponentInstanceEvent event)

    - #### onRecovery

          public void onRecovery​(org.silverpeas.core.admin.component.notification.ComponentInstanceEvent event)